apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: vault
  namespace: vault
spec:
  interval: 5m
  timeout: 10m
  postRenderers:
    - kustomize:
        patches:
          - target:
              group: apps
              version: v1
              kind: StatefulSet
              namespace: vault
              name: vault-vault-contour
            patch: |-
              - op: replace
                path: /spec/template/spec/nodeSelector
                value:
                  type: generic
              - op: replace
                path: /spec/template/spec/tolerations
                value: []
  values:
    imagePullSecrets:
      - name: regcred
    injector:
      nodeSelector:
        type: generic
      tolerations: []
    server:
      nodeSelector:
        type: generic
      tolerations: []
      dataStorage:
        storageClass: local-path
